Macaulay2 » Documentation
Packages » RunExternalM2 :: isExternalM2Parent
next | previous | forward | backward | up | index | toc

# isExternalM2Parent -- indicate if this process is a parent process or not

- Usage:
    `b=isExternalM2Parent()`
- Outputs:
  - b, a Boolean value, true if this process is a parent process, and false otherwise

## Description

This function indicates whether the currently-running process is a parent process, or not, from the point-of-view of the RunExternalM2 package.

## See also

- RunExternalM2 -- a package to run Macaulay2 code externally and retrieve the result
- isExternalM2Child -- indicate if this process is a child process or not

## For the programmer

The object isExternalM2Parent is a function closure.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/RunExternalM2.m2:894:0.